use winit::{dpi::PhysicalPosition, event::VirtualKeyCode};

/// Input received from the user
#[derive(Debug)]
pub enum InputEvent {
	/// Mouse was moved
	MouseMove(PhysicalPosition<f32>),

	/// Mouse left button was clicked.
	/// True if pressed, false if released.
	MouseLeftClick(bool),

	/// Mouse left button was clicked.
	/// True if pressed, false if released.
	MouseRightClick(bool),

	/// Mouse was scrolled.
	/// Value is number of lines, positive or negative.
	Scroll(f32),

	/// A key was pressed or released
	Keyboard {
		/// True if pressed, false if released
		down: bool,

		/// The key that was pressed
		key: VirtualKeyCode,
	},
}
