mod fpsindicator;
mod radialbar;
mod scrollbox;
mod sprite;
mod textbox;

pub(super) use fpsindicator::*;
pub(super) use radialbar::*;
pub(super) use scrollbox::*;
pub(super) use sprite::*;
pub(super) use textbox::*;

use glyphon::{Buffer, Color, TextArea, TextBounds};
use std::rc::Rc;

/// A hack that lets us easily construct TextAreas
/// for [`UiTextBox`]es wrapped in Rcs.
pub struct OwnedTextArea {
	pub buffer: Rc<Buffer>,
	pub left: f32,
	pub top: f32,
	pub scale: f32,
	pub bounds: TextBounds,
	pub default_color: Color,
}

impl OwnedTextArea {
	pub fn get_textarea(&self) -> TextArea {
		TextArea {
			buffer: &self.buffer,
			top: self.top,
			left: self.left,
			scale: self.scale,
			bounds: self.bounds,
			default_color: self.default_color,
		}
	}
}
